Bug 108627 - [patch] print/apsfilter: drop shells/bash2 dependency
Summary: [patch] print/apsfilter: drop shells/bash2 dependency
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Boris Samorodov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-01-31 20:50 UTC by Boris Samorodov
Modified: 2007-02-15 15:30 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Boris Samorodov freebsd_committer 2007-01-31 20:50:15 UTC
	In preparation to deprecate shells/bash2 the dependency should be
	dropped.

Fix: - drop variable RUN_DEPENDS for shells/bash2;
	- do not bump PORTREVISION since this dependency is not default.



WBR
-- 
bsam--bu8v1ZGW6F71i3uEAG8Bg9bBAvQw3YLpqjIv7Wy01wJKAaOR
Content-Type: text/plain; name="apsfilter.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="apsfilter.diff"

Index: Makefile
===================================================================
RCS file: /home/pcvs/ports/print/apsfilter/Makefile,v
retrieving revision 1.127
diff -u -r1.127 Makefile
--- Makefile	9 Jul 2006 16:34:49 -0000	1.127
+++ Makefile	31 Jan 2007 20:35:23 -0000
@@ -115,11 +115,7 @@
 .endif
 
 # needed for aps2file
-.if defined(WITH_BASH2)
-RUN_DEPENDS+=	bash:${PORTSDIR}/shells/bash2
-.else
 RUN_DEPENDS+=	bash:${PORTSDIR}/shells/bash
-.endif
 
 # HP IJS driver is not automatically part of ghostscript port anymore
 RUN_DEPENDS+=	hpijs:${PORTSDIR}/print/hpijs
Comment 1 Edwin Groothuis freebsd_committer 2007-01-31 20:50:25 UTC
Responsible Changed
From-To: freebsd-ports-bugs->andreas

Over to maintainer
Comment 2 Boris Samorodov freebsd_committer 2007-02-15 15:20:46 UTC
Responsible Changed
From-To: andreas->bsam

Take (maintainer timeout).
Comment 3 dfilter service freebsd_committer 2007-02-15 15:24:00 UTC
bsam        2007-02-15 15:23:49 UTC

  FreeBSD ports repository

  Modified files:
    print/apsfilter      Makefile 
  Log:
  . drop variable RUN_DEPENDS for shells/bash2;
  . do not bump PORTREVISION since this dependency is not default.
  
  PR:             108627
  Submitted by:   bsam (me)
  Approved by:    andreas (maintainer timeout -- 2 weeks)
  
  Revision  Changes    Path
  1.128     +0 -4      ports/print/apsfilter/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Boris Samorodov freebsd_committer 2007-02-15 15:24:26 UTC
State Changed
From-To: open->closed

Committed, thanks. ;-)